> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Insert/Update a list of Operators on the EC.

POST https://api.fiftytwo.com/masterdata/operators/v1/chain/{chain}
Content-Type: application/json

Only supported when Masterdata is distributed by the EC.

Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/operators/ecstg

## Request

### Path parameters

- `chain` (integer, required) — The Id of the Chain

### Body (application/json)

This endpoint expects an operators.

- `operators` (list of OperatorsOperatorsItems, required)

## Response

### 202

Accepted

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### OperatorsOperatorsItems

- `operatorId` (integer, required) — The unique number that will identify the operator. The number is a key field that you can't edit later.
- `name` (string, optional) — The name of the operator.
- `category` (string, optional) — The category determines the operator's user rights and consequently which features they're able to use. Categories are defined in cooperation with Fiftywo consultants.
- `profile` (integer, optional) — This profile defines starting cash balance etc. for the operator linked to the profile. Profiles are defined in cooperation with Fiftywo consultants.
- `stores` (list of integer, optional) — List of store IDs associated with the operator.

## Examples

**Request**

```json
{
  "operators": [
    {
      "operatorId": 12345,
      "name": "Alice Johnson",
      "category": "A",
      "profile": 1,
      "stores": [
        1111,
        2111,
        3111,
        4111
      ]
    },
    {
      "operatorId": 67890,
      "name": "Bob Smith",
      "category": "B",
      "profile": 2,
      "stores": [
        7111,
        2111,
        6111,
        4111
      ]
    }
  ]
}
```

**Response**

```json
{}
```

**SDK Code**

```python Operators_ECSTG_example
import requests

url = "https://api.fiftytwo.com/masterdata/operators/v1/chain/1"

payload = { "operators": [
        {
            "operatorId": 12345,
            "name": "Alice Johnson",
            "category": "A",
            "profile": 1,
            "stores": [1111, 2111, 3111, 4111]
        },
        {
            "operatorId": 67890,
            "name": "Bob Smith",
            "category": "B",
            "profile": 2,
            "stores": [7111, 2111, 6111, 4111]
        }
    ] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Operators_ECSTG_example
const url = 'https://api.fiftytwo.com/masterdata/operators/v1/chain/1';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"operators":[{"operatorId":12345,"name":"Alice Johnson","category":"A","profile":1,"stores":[1111,2111,3111,4111]},{"operatorId":67890,"name":"Bob Smith","category":"B","profile":2,"stores":[7111,2111,6111,4111]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Operators_ECSTG_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/operators/v1/chain/1"

	payload := strings.NewReader("{\n  \"operators\": [\n    {\n      \"operatorId\": 12345,\n      \"name\": \"Alice Johnson\",\n      \"category\": \"A\",\n      \"profile\": 1,\n      \"stores\": [\n        1111,\n        2111,\n        3111,\n        4111\n      ]\n    },\n    {\n      \"operatorId\": 67890,\n      \"name\": \"Bob Smith\",\n      \"category\": \"B\",\n      \"profile\": 2,\n      \"stores\": [\n        7111,\n        2111,\n        6111,\n        4111\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Operators_ECSTG_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/operators/v1/chain/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"operators\": [\n    {\n      \"operatorId\": 12345,\n      \"name\": \"Alice Johnson\",\n      \"category\": \"A\",\n      \"profile\": 1,\n      \"stores\": [\n        1111,\n        2111,\n        3111,\n        4111\n      ]\n    },\n    {\n      \"operatorId\": 67890,\n      \"name\": \"Bob Smith\",\n      \"category\": \"B\",\n      \"profile\": 2,\n      \"stores\": [\n        7111,\n        2111,\n        6111,\n        4111\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Operators_ECSTG_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fiftytwo.com/masterdata/operators/v1/chain/1")
  .header("Content-Type", "application/json")
  .body("{\n  \"operators\": [\n    {\n      \"operatorId\": 12345,\n      \"name\": \"Alice Johnson\",\n      \"category\": \"A\",\n      \"profile\": 1,\n      \"stores\": [\n        1111,\n        2111,\n        3111,\n        4111\n      ]\n    },\n    {\n      \"operatorId\": 67890,\n      \"name\": \"Bob Smith\",\n      \"category\": \"B\",\n      \"profile\": 2,\n      \"stores\": [\n        7111,\n        2111,\n        6111,\n        4111\n      ]\n    }\n  ]\n}")
  .asString();
```

```php Operators_ECSTG_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fiftytwo.com/masterdata/operators/v1/chain/1', [
  'body' => '{
  "operators": [
    {
      "operatorId": 12345,
      "name": "Alice Johnson",
      "category": "A",
      "profile": 1,
      "stores": [
        1111,
        2111,
        3111,
        4111
      ]
    },
    {
      "operatorId": 67890,
      "name": "Bob Smith",
      "category": "B",
      "profile": 2,
      "stores": [
        7111,
        2111,
        6111,
        4111
      ]
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Operators_ECSTG_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/operators/v1/chain/1");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"operators\": [\n    {\n      \"operatorId\": 12345,\n      \"name\": \"Alice Johnson\",\n      \"category\": \"A\",\n      \"profile\": 1,\n      \"stores\": [\n        1111,\n        2111,\n        3111,\n        4111\n      ]\n    },\n    {\n      \"operatorId\": 67890,\n      \"name\": \"Bob Smith\",\n      \"category\": \"B\",\n      \"profile\": 2,\n      \"stores\": [\n        7111,\n        2111,\n        6111,\n        4111\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Operators_ECSTG_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["operators": [
    [
      "operatorId": 12345,
      "name": "Alice Johnson",
      "category": "A",
      "profile": 1,
      "stores": [1111, 2111, 3111, 4111]
    ],
    [
      "operatorId": 67890,
      "name": "Bob Smith",
      "category": "B",
      "profile": 2,
      "stores": [7111, 2111, 6111, 4111]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/operators/v1/chain/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```